%bcond_without tests

Summary:            Brain-dead simple parsing of ini files
Name:               python-iniconfig
Version:            1.1.1
Release:            5%{?dist}
License:            MIT
URL:                http://github.com/RonnyPfannschmidt/iniconfig
BuildArch:          noarch
BuildRequires:      python3-devel  pyproject-rpm-macros
Source0:            https://github.com/pytest-dev/iniconfig/archive/refs/tags/iniconfig-%{version}.tar.gz

%description 
iniconfig is a small and simple INI-file parser module
having a unique set of features:

* tested against Python2.4 across to Python3.2, Jython, PyPy
* maintains order of sections and entries
* supports multi-line values with or without line-continuations
* supports "#" comments everywhere
* raises errors with proper line-numbers
* no bells and whistles like automatic substitutions
* iniconfig raises an Error if two sections have the same name.


%package -n python3-iniconfig
Summary:            Brain-dead simple parsing of ini files

%description -n python3-iniconfig 
iniconfig is a small and simple INI-file parser module


%prep
%autosetup -n iniconfig-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files iniconfig

%if %{with tests}
%check
%tox
%endif

%files -n python3-iniconfig -f %{pyproject_files}
%license LICENSE
%doc README.txt

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 12 2022 Feng Weiyao <wynnfeng@tencent.com> - 1.1.1-1
- package init.

